    <div class="grid">
        <div class="search">
            <form [formGroup]="scrapForm" (ngSubmit)="Busca()">
                <mat-form-field appearance="legacy">
                    <mat-label>Palabras clave</mat-label>
                    <input matInput placeholder="Criterio de búsqueda" formControlName="Criterio" required>
                    <mat-icon matSuffix>search</mat-icon>
                    <mat-hint>Proporcione criterio de búsqueda</mat-hint>
                  </mat-form-field>
    
                  <mat-form-field>
                    <mat-label>Comercio</mat-label>
                    <mat-select formControlName = "IdComercio" required>
                      <mat-option *ngFor="let comercio of comercios" [value]="comercio.id">
                        {{comercio.nombre}}
                      </mat-option>
                    </mat-select>
                    <mat-hint>Seleccione comercio</mat-hint>
                  </mat-form-field>
    
                  <button mat-raised-button type="submit" [disabled]="!scrapForm.valid">Buscar</button>
            </form>
        </div>
        <div class="result">
            <table *ngIf="productos.length > 0" mat-table [dataSource]="productos" class="mat-elevation-z8">
                <ng-container matColumnDef="nombre">
                  <th mat-header-cell *matHeaderCellDef> Nombre </th>
                  <td mat-cell *matCellDef="let element"> {{element.nombre}} </td>
                </ng-container>
                <ng-container matColumnDef="descripcion">
                  <th mat-header-cell *matHeaderCellDef> Descripción </th>
                  <td mat-cell *matCellDef="let element"> {{element.descripcion}} </td>
                </ng-container>
                <ng-container matColumnDef="precio">
                  <th mat-header-cell *matHeaderCellDef> Precio </th>
                  <td mat-cell *matCellDef="let element"> {{element.precio}} </td>
                </ng-container>
                <ng-container matColumnDef="comercio">
                  <th mat-header-cell *matHeaderCellDef> Comercio </th>
                  <td mat-cell *matCellDef="let element"> {{element.idComercio.nombre}} </td>
                </ng-container>
    
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            </table>
        </div>

        <ng-template #customLoadingTemplate>
          <div class="custom-class">              
          </div>
        </ng-template>
        <ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '3px' }" [template]="customLoadingTemplate"></ngx-loading>
    </div>